%global srcname upoints

Name:           python-upoints
Version:        0.11.0
Release:        9%{?dist}
Summary:        Python modules for working with points on Earth

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.jnrowe.ukfsn.org/projects/upoints.html
Source0:        http://www.jnrowe.ukfsn.org/data/%{srcname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-lxml

%description
upoints, previously called earth_distance, is a collection of
modules for working with points on a spherical object. It allows
you to calculate the distance and bearings between points,
mangle xearth/xplanet data files, work with online UK trigpoint 
databases and various other databases.

%prep
%setup -q -n %{srcname}-%{version}
chmod -x test/grab_net_sources.py
sed -i 's/\r$//' test/data/gpsdata

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}%{_bindir}/edist.py %{buildroot}/%{_bindir}/edist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS README doc/ html/ test/
%{_bindir}/edist
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-8
- Minor changes 

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-3
- Changed define to global 

* Fri Apr 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-2
- Removed ./

* Sat Apr 11 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- Initial spec for Fedora
